> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/tossauth/tossauth.login.md).

# TossAuth.login

> 함수형 API `appLogin`으로도 같은 기능을 쓸 수 있어요.

### 기능 설명

토스 인증으로 로그인해요. 로그인이 완료되면 다시 토스 앱으로 이동해요. 반환된 `authorizationCode`와 `referrer`를 서버로 전달해 로그인 처리를 이어가면 돼요.

### 타입

```ts
TossAuth.login(): Promise<AppLoginResponse>;
```

**Params**

없음

**Response**

```ts
type AppLoginResponse = {
  authorizationCode: string;
  referrer: "DEFAULT" | "SANDBOX";
};
```

### 예시 코드

```js
import { TossAuth } from "@apps-in-toss/web-framework";

const button = document.querySelector("#login-button");

button.addEventListener("click", async () => {
  try {
    const { authorizationCode, referrer } = await TossAuth.login();
    // authorizationCode와 referrer를 서버로 전달해요
  } catch (error) {
    console.error(error);
  }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/tossauth/tossauth.login.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
